/**
 * JBoss, the OpenSource J2EE WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package jmslab.client;

import java.util.Properties;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.jms.*;


public class JMSClient
{

    public static void main(String args[]) throws Exception
    {
        Properties env = new Properties();
        env.setProperty(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.HttpNamingContextFactory");
        env.setProperty(Context.PROVIDER_URL, "https://localhost:8443/invoker/JNDIFactorySSL");

        Connection conn = null;

        try {

            Context ctx = new InitialContext(env);
            System.out.println("Created InitialContext, env= " + env);

            //looking up JMS connection factory over HTTPs
          ConnectionFactory connectionFactory = (ConnectionFactory)ctx.lookup("HTTPSConnectionFactory");
          System.out.println("connectionFactory= " + connectionFactory.toString());

          Destination queue = (Destination)ctx.lookup("queue/A");

          conn = connectionFactory.createConnection();

          Session session = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);

          MessageProducer producer = session.createProducer(queue);

          Message m = session.createTextMessage(new String("wazzaaa??!"));

          producer.send(m);


      }catch(Exception e){
            e.printStackTrace();

      }finally{
          if(conn != null)
              conn.close();
        }
    }
}
